import React from "react";
import { RoomMember, MatrixClient } from "matrix-js-sdk/src/matrix";
import ResizeNotifier from "../../utils/ResizeNotifier";
import MatrixClientContext from "../../contexts/MatrixClientContext";
interface IProps {
    userId: string;
    resizeNotifier: ResizeNotifier;
}
interface IState {
    loading: boolean;
    member?: RoomMember;
}
export default class UserView extends React.Component<IProps, IState> {
    static contextType: React.Context<MatrixClient>;
    context: React.ContextType<typeof MatrixClientContext>;
    constructor(props: IProps, context: React.ContextType<typeof MatrixClientContext>);
    componentDidMount(): void;
    componentDidUpdate(prevProps: IProps): void;
    private loadProfileInfo;
    render(): React.ReactNode;
}
export {};
